import QtQuick 1.0

Item {
    property variant datetime
    property color color
    property string format: "time"
    property alias font: value.font
    property alias style: value.style
    property string horizontalAlignment: "AlignLeft"
    property int paintedWidth: value.paintedWidth + ampm.paintedWidth
    property bool estimate: false

    property bool __isDuration : format === "duration" || format === "roundedDuration"
    property variant __internalDateTimeObj:
            __isDuration
                ? System.formatDuration(datetime, format === "roundedDuration")
                : System.formatDateTime(datetime, format)

    width: value.width + ampm.width
    height: value.height

    Label {
        id: value
        anchors {
            baseline: parent.bottom
            baselineOffset: -5

            left: parent.horizontalAlignment === "AlignLeft" ? parent.left : undefined
            right: parent.horizontalAlignment === "AlignRight" ? ampm.left : undefined
        }
        color: parent.color
        text: (estimate ? qsTrId("qtn_pt_estimate_time") : "%1").arg(
                  __internalDateTimeObj.datetime || __internalDateTimeObj || "")
    }

    Label {
        id: ampm
        anchors {
            baseline: value.baseline

            left: parent.horizontalAlignment === "AlignLeft" ? value.right : undefined
            right: parent.horizontalAlignment === "AlignRight" ? parent.right : undefined
        }
        color: parent.color
        style: value.style
        font {
            bold: value.font.bold
            capitalization: value.font.capitalization
            family : value.font.family
            italic : value.font.italic
            letterSpacing : value.font.letterSpacing
            pixelSize: value.font.pixelSize * 0.666
            strikeout : value.font.strikeout
            underline : value.font.underline
            weight : value.font.weight
            wordSpacing : value.font.wordSpacing
        }
        text: __internalDateTimeObj.ampm || ""
    }
}
