import QtQuick 1.0

Rectangle {
    id: digitElement
    color: "#ededed"

    property string text: ""
    property alias footer: footerText.text

    Label {
        id: digitText
        text: " " + digitElement.text + " "
        color: "#222"

        font.pixelSize: 45
        font.letterSpacing: -5
        anchors.right: parent.right
        anchors.left: parent.left
        anchors.rightMargin: 0
        anchors.leftMargin: 0
        anchors.verticalCenter: parent.verticalCenter
        style: Text.Sunken

        elide: "ElideRight"
        horizontalAlignment: Text.AlignHCenter
    }

    Label {
        id: footerText
        color: "#222"
        font.bold: true
        font.pixelSize: 12
        anchors.right: parent.right
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        anchors.rightMargin: parent.height/20
        anchors.leftMargin: parent.width/2
        anchors.bottomMargin: parent.height/30

        elide: "ElideRight"
        horizontalAlignment: Text.AlignRight
    }

    Rectangle {
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        gradient: Gradient {
            GradientStop {
                position: 0.00;
                color: "#ccffffff";
            }
            GradientStop {
                position: 0.35;
                color: "#00cccccc";
            }
            GradientStop {
                position: 0.50;
                color: "#22000000";
            }
            GradientStop {
                position: 0.501;
                color: "#88ffffff";
            }
            GradientStop {
                position: 0.65;
                color: "#00cccccc";
            }
            GradientStop {
                position: 1.00;
                color: "#22000000";
            }
        }
    }
}
