import QtQuick 1.0

import "../qtcomponents"
import "../components"
import "styles"

Column {
    id: loadingIndicator

    property alias text: label.text

    property QtObject style: LoadingIndicatorStyle {}

    anchors.centerIn: parent
    spacing: 28

    BusyIndicator {
        id: pindy
        anchors.horizontalCenter: parent.horizontalCenter
        running: parent.visible
        height: width
    }

    Label {
        id: label
        text: qsTrId("qtn_pt_loadingindicator_loading") // "Loading"
        font: loadingIndicator.style.font
        color: "#888"
        style: Text.Raised
        styleColor: "#FFF"

        anchors.horizontalCenter: parent.horizontalCenter
    }

    Component.onCompleted: {
        var spinnerWidth;
        if ("platformStyle" in pindy) {
            spinnerWidth = platformStyle.graphicSizeLarge;
        }

        pindy.width = spinnerWidth || 64;
    }
}
