import QtQuick 1.0

Item {
    id: root
    property variant cached: null
    property Component component
    property string uri
    property variant status: component ? component.status : Component.Null
    property bool preload: false

    function createObject(parent) {
        if (!cached) {
            if (!component) {
                component = Qt.createComponent(uri);
            }

            if (component.status == Component.Error) {
                throw new Error("Error while loading page: " + component.errorString());
            }
            cached = component.createObject(root);
        }

        return cached;
    }

    function errorString() {
        if (root.component) {
            return root.component.errorString();
        }

        return "";
    }

    Component.onCompleted: {
        if (!root.cached && root.preload) {
            createObject();
        }
    }
}
