import QtQuick 1.0

Rectangle {
    id: pageIndicator

    //Public API
    property int totalPages: 0
    property int currentPage: 0
    property int maxinumDots: 7

    color: "#e0e0e0"
    width: parent.width
    height: 24

    QtObject {
        id: internal
        property int totalDots: onlyOneSeg ? totalPages : (inLastSeg ? lastSegDots : maxinumDots)
        property bool inLastSeg: currentPage >= (Math.floor((totalPages - 1) / (maxinumDots || 1)) * maxinumDots)
        property bool onlyOneSeg : totalPages <= maxinumDots
        property int lastSegDots: totalPages - (Math.floor((totalPages - 1) / (maxinumDots || 1)) * maxinumDots)
    }

    Row {
        anchors.centerIn: parent

        Item {
            width: 20
            height: pageIndicator.height
            visible: currentPage >= maxinumDots
            Image {
                anchors.centerIn: parent
                width: 6
                height: 9
                source: "../../images/arrow_left_swipe.png"
            }
         }

         Repeater {
             model: internal.totalDots
             delegate: Item {
                width: 20
                height: pageIndicator.height
                Image {
                    anchors.centerIn: parent
                    width: 9
                    height: 9
                    source: (currentPage % maxinumDots) === index
                                ? "../../images/page_indicator_enabled.png"
                                : "../../images/page_indicator_disabled.png"
                }
            }
        }

         Item {
             width: 20
             height: pageIndicator.height
             visible: !internal.onlyOneSeg && !internal.inLastSeg
             Image {
                 anchors.centerIn: parent
                 width: 6
                 height: 9
                 source: "../../images/arrow_right_swipe.png"
             }
          }
    }

    Rectangle {
        anchors.bottom: parent.bottom
        width: parent.width
        height: 1
        color: "#d4d4d4"
    }
}
