import QtQuick 1.0

import "styles/Styles.js" as Styles

Item {
    id: root
    height: text.paintedHeight
    property string text: ""

    signal linkActivated(string link)

    property QtObject style: Styles.richTextStyle

    Text {
        id: text

        width: parent.width
        textFormat: Text.RichText
        wrapMode: Text.Wrap
        font: root.style.font
        color: root.style.color
        text: "<style type='text/css'>a { color:" + root.style.linkColor + "} </style>" +
              parent.text
                .replace(/\[([^\|]*)\|([^\]]*)\]/g, "<a href='$2'>$1</a>") // create links
                .replace(/([^\n]+)/g, "<p>$1</p>") // LF -> paragraphs
    }

    Component.onCompleted: text.linkActivated.connect(linkActivated)
}
