import QtQuick 1.0

Image {
    id: icon
    transformOrigin: Item.Center
    smooth: true

    property bool loaded: false
    property alias running: spin.running
    property bool slow: false

    onSourceChanged: {
        // Workaround for sourceSize bug
        loaded = ("" + source).length > 0;
    }

    RotationAnimation {
        id: spin
        loops: Animation.Infinite
        direction: RotationAnimation.Clockwise
        from: 0
        to: 360
        duration: slow ? 3500 : 2000
        target: icon
        property: "rotation"

        onRunningChanged: {
            if (running == false) {
                icon.rotation.angle = 0;
            }
        }
    }
}
