import QtQuick 1.0

import "../qtcomponents"
import "."

Item {
    id: checkBoxWithClickableText

    signal clicked()

    property alias checked: checkbox.checked
    property alias text: text.text
    property int textPosition: Text.AlignRight
    property alias font: text.font
    property alias color: text.color
    height: Math.max(text.height, 45)

    CheckBox {
        id: checkbox
        anchors {
            left: textPosition === Text.AlignLeft ? undefined : parent.left
            right: textPosition === Text.AlignLeft ? parent.right : undefined
            verticalCenter: parent.verticalCenter
        }

        onClicked: {
            checkBoxWithClickableText.clicked();
        }
    }

    Label {
        id: text
        anchors {
            verticalCenter: parent.verticalCenter
            left: textPosition === Text.AlignLeft ? parent.left : checkbox.right
            right: textPosition === Text.AlignLeft ? checkbox.left : parent.right
            leftMargin: textPosition === Text.AlignLeft ? 0 : 10
            rightMargin: textPosition === Text.AlignLeft ? 10 : 0
        }
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere

        MouseArea {
            anchors.fill: parent
            onClicked: {
                checkbox.checked = !checkbox.checked
                checkBoxWithClickableText.clicked();
            }
        }
    }
}
