import QtQuick 1.0

Item {
    id: item

    width: 100
    height: 62
    z: 1000

    property bool dumpInvisibleElements: false
    property bool filterQtnStrings: false

    Text {
        id: text
        anchors.fill: parent
        text: "Dump me!"
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            console.log("onPressed");
            var root = getRoot(item);
            var elements = traverse(root)
                .filter(function(el) {
                    return el.text && el.textFormat !== undefined;
                }).forEach(function(el) {
                    el.text += "|||-----------------------------------------------";
                });
        }
        onClicked: {
            var root = getRoot(item);
            var lines = traverse(root)
                .filter(function(el) {
                    return el.text && el.textFormat !== undefined;
                })
                .filter(function(el) {
                    return el.width > 0;
                });

            if (!dumpInvisibleElements) {
                lines = lines
                    .filter(function(el) {
                        return el.visible;
                    });
            }

            if (filterQtnStrings) {
                lines = lines
                    .filter(function(el) {
                        return el.text.substr(0, 4) === "qtn_";
                    })
            }

            lines
                .filter(function(el) {
                    return el !== text;
                })
                .map(function(el) {
                    var font = el.font || {};
                    return (el.text.substr(0, el.text.length - 50) + ":   "
                        + " font=" + (font.family || "?")
                        + ";fontstyle=" + (font.bold ? "SemiBold" : "Regular")
                        + ";fontsize=" + (font.pixelSize || "?")
                        + ";w=" + el.width//(el.implicitWidth || el.width)
                        + ";" + (el.wrapMode ? "repeat=true" : "lines_prt=1")
                    );
                })
                .forEach(function(el) {
                    console.log(el);
                });






            var root = getRoot(item);
            var elements = traverse(root)
                .filter(function(el) {
                    return el.text && el.textFormat !== undefined;
                }).forEach(function(el) {
                    el.text = el.text.substr(0, el.text.length - 50);
                });


        }
    }

    function getRoot(el) {
        while (el.parent) {
            el = el.parent;
        }
        return el;
    }

    function traverse(el) {
        var i = 0,
            l = el.children.length,
            item,
            res = [el];
        for (; i < l; i++) {
            item = el.children[i];
            res = res.concat(traverse(item));
        }
        return res;
    }
}
