import QtQuick 1.0

import "styles"

Item {
    id: root
    property alias paddingItem: paddingItem
    property bool brightBackground: false
    property bool roundedCorners: true
    property int contentHeight // - 5 - 5 margin

    property QtObject style: ViewHeadingStyle {}

    width: ListView.view ? ListView.view.width : parent.width
    height: Math.max(style.minHeight, contentHeight) + paddingItem.anchors.topMargin + paddingItem.anchors.bottomMargin

    Rectangle { // hack'o'rama to get a black page background
        color: "black"
        anchors.bottom: parent.top
        width: parent.width
        height: 500
    }

    Rectangle {
        id: topHairLine
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
        }
        color: "#919191"
        height: 1
    }

    Rectangle {
        id: gradient
        anchors {
            top: topHairLine.bottom
            left: parent.left
            right: parent.right
            bottom: bottomHairLine2.top
        }
        gradient: Gradient {
            GradientStop {
                position: 0.0
                color: "#858585"
            }
            GradientStop {
                position: 1.0
                color: "#6D6D6D"
            }
        }
    }

    Image {
        anchors {
            top: parent.top
            left: parent.left
        }
        source: roundedCorners ? "../../images/viewheader_corner_topleft.png" : ""
    }

    Image {
        anchors {
            top: parent.top
            right: parent.right
        }
        source: roundedCorners ? "../../images/viewheader_corner_topright.png" : ""
    }

    Rectangle {
        id: bottomHairLine2
        anchors {
            bottom: bottomHairLine.top
            left: parent.left
            right: parent.right
        }
        color: "#3B3B3B"
        height: 1
    }

    Rectangle {
        id: bottomHairLine
        anchors {
            bottom: parent.bottom
            left: parent.left
            right: parent.right
        }
        color: "#B6B6B6"
        height: 1
    }

    Item {
        id: paddingItem
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: parent.bottom
//            fill: parent // -> using fill results in a binding-loop ... weird!!
            topMargin: 5
            bottomMargin: root.style.marginBottom
            leftMargin: 13
            rightMargin: 13
        }
    }
}
