import QtQuick 1.0

import "../../qtcomponents"
import "../../components"

import "../ApplicationModel.js" as App

Page {
    id: aboutPage
    objectName: "aboutPrivacy"

    onStatusStrChanged: {
        if ("Activating" === statusStr) {
            app.analytics.logEvent("AboutPrivacy");
        }
    }

    Flickable {
        anchors.fill: parent
        contentHeight: col.height
        Column {
            id: col
            width: parent.width
            spacing: 10

            ViewHeading {
                id: headerBar
                contentHeight: titleText.height
                ViewHeadingText {
                    id: titleText
                    anchors {
                        left: parent.paddingItem.left;
                        right: parent.paddingItem.right;
                        verticalCenter: parent.paddingItem.verticalCenter
                    }
                    text: qsTrId("qtn_pt_privacy_title")
                }
            }

            RichText {
                anchors {
                    left: parent.left;
                    right: parent.right
                    margins: 12;
                }

                text: qsTrId("qtn_pt_privacy")
                        .arg("http://nokia.mobi/privacy/policy")
                        .arg(System.appName)
                        .arg("http://nokia.mobi/privacy/services/map-apps")

                onLinkActivated: {
                    pageStack.push(Qt.resolvedUrl("../../components/WebViewPage.qml"), {
                                       url: link
                                   });
                    app.analytics.logEvent("ExternalPrivacy");
                }
            }
        }
    }
}
