import QtQuick 1.0
import com.nokia.pt 1.0

import "../../components"

Item {
    id: rateScale;
    property variant numbers: System.rightToLeft ? [10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0] : [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
    property int numRatings: numbers.length
    property int rating: undefined === numbers[ratingList.currentIndex] ? -1 : numbers[ratingList.currentIndex]
    property bool enabled: true

    Rectangle {
        id: scaleBackground
        color: "#d2d4d6";
        radius: 15;
        anchors.fill: parent

        ListView {
            id: ratingList
            anchors {
                fill: parent
                leftMargin: 10
                rightMargin: 10
            }
            model: rateScale.numbers
            orientation: ListView.Horizontal
            interactive: false
            currentIndex: -1

            delegate: Item {
                id: ratingNumberBg;
                width: ratingList.width/rateScale.numRatings;
                height: ratingList.height;
                Label {
                    id: ratingNumber;
                    text: modelData
                    font.pixelSize: 16;
                    z: 1;
                    anchors.centerIn: parent;
                }
                MouseArea {
                    anchors.fill: parent
                    enabled: rateScale.enabled
                    onClicked: ratingList.currentIndex = index;
                }
            }

            Image {
                id: selector;
                width: sourceSize.width;
                height: sourceSize.height;
                source: "../../../images/nps_selector.png";
                visible: ratingList.currentIndex >= 0 && ratingList.currentIndex <= rateScale.numRatings
                x: Math.floor((0.5 + ratingList.currentIndex) * ratingList.width / rateScale.numRatings - width / 2)

                Label {
                    text: rateScale.rating
                    font {
                        pixelSize: 24
                        bold: true
                        weight: Font.Bold
                    }
                    anchors.centerIn: parent;
                }

                Behavior on x {
                    NumberAnimation { duration: 150; easing.type: Easing.OutQuad; }
                }
            }

        }
    }
}

