import QtQuick 1.0

import AnalyticsNokia 1.0

Item {
    id: item

    function logEvent(message, object) {
        try {
            if (object) {
                console.log("IAA:", '"' + message + '"', JSON.stringify(object));
            } else {
                console.log("IAA:", '"' + message + '"');
            }
            nacSession.logEvent(AnalyticsSession.ActivityLogEvent, message, object);
        } catch (ex) {
            console.error("IAA::exception:", ex.message);
        }
    }

    function closeSession() {
        console.log("IAA.closed:", nacSession.close(AnalyticsSession.AppExitCloseReason));
    }

    // wrapper properties to prevent:
    // Analytics: Trying to change a property for an application with an open session.
    // Details: "Application::setAgentVersion(1.7.0) failed."
    // The problem: agentVersion: "1.7.0" -> working, agentVersion: System.appVersion -> failed
    property string version: System.appVersion
    property string locale: Stats.locale()

    // Initializing a NAC application here
    AnalyticsApplication {
        id: nacApplication
        agentName: "NokiaPubicTransportQML"
        agentVersion: version
        origin: AnalyticsApplication.PreInstallOrigin
        anonymous: false
        language: locale
    }

    AnalyticsSession {
        id: nacSession
        sessionId: "session"
        agentName: nacApplication.agentName
        trackingFrequency: 1
        bearerReporting: false
    }

    // Opening the NAC session when the example application is started
    Component.onCompleted: {
        console.log("IAA.opened:", nacSession.open());
    }
}
