import QtQuick 1.0

import "../../qtcomponents"
import "../../components"

Page {
    objectName: "termsPage"

    signal accepted
    signal declined

    onStatusStrChanged: {
        if ("Activating" === statusStr) {
            app.analytics.logEvent("Terms");
        }
    }

    Flickable {
        anchors.fill: parent
        contentHeight: col.height
        Column {
            id: col
            width: parent.width
            spacing: 10

            ViewHeading {
                id: headerBar
                contentHeight: titleText.height
                ViewHeadingText {
                    id: titleText
                    anchors {
                        left: parent.paddingItem.left;
                        right: parent.paddingItem.right;
                        verticalCenter: parent.paddingItem.verticalCenter
                    }
                    text: qsTrId("qtn_pt_firsttimeuse_welcome")
                }
            }

            RichText {
                anchors { left: parent.left; leftMargin: 12; right: parent.right; rightMargin: 12 }

                text: qsTrId("qtn_pt_termsandconditions")
                        .arg("http://nokia.mobi/privacy/services/map-apps")
                        .arg("http://nokia.mobi/privacy/services/terms/nokia-service")
                        .arg("http://nokia.mobi/privacy/policy")

                onLinkActivated: {
                    pageStack.push(Qt.resolvedUrl("../../components/WebViewPage.qml"), {
                                       url: link
                                   });
                    app.analytics.logEvent("ExternalTerms");
                }
            }
        }
    }

    tools: ToolBarLayout {

        BackToolButton {
            function clickHandler() {} // no quit action
            onClicked: declined();
        }

        ToolButton {
            objectName: "startBtn"
            text: qsTrId("qtn_pt_start")
            onClicked: accepted();
            flat: false
        }

    }

}
