import QtQuick 1.0

import com.nokia.pt 1.0

import "../../qtcomponents"
import "../../components"
import ".."

import "../ApplicationModel.js" as App
import "NearbyPage.js" as Logic

ErrorNotification {
    id: errorNotification
    anchors {
        left: parent.left
        right: parent.right
        verticalCenter: parent.verticalCenter
        verticalCenterOffset: app.inPortrait ? -15 : 0
    }

    property int errorCode: QueryResult.NoError
    property bool networkError: (errorCode & QueryResult.NetworkError) === QueryResult.NetworkError

    states: [
        State {
            name: "network_error"
            when: errorNotification.networkError
            PropertyChanges {
                target: errorNotification

                icon: "../../../images/errorpage/icon_no_internet.png"
                text: qsTrId("qtn_pt_error_hafas_stations").arg(app.getErrorText(errorCode));
                visible: true
                retryButton: true
            }
        },
        State {
            name: "other_error"
            when: !errorNotification.networkError && (errorNotification.errorCode !== QueryResult.NoError)
            PropertyChanges {
                target: errorNotification

                icon: "../../../images/errorpage/icon_no_routes.png"
                text: qsTrId("qtn_pt_error_hafas_stations").arg(app.getErrorText(errorCode));
                visible: true
                regionsButton: errorCode === QueryResult.NoDataAvailable
            }
        }
    ]
}
