import QtQuick 1.0


import com.nokia.pt 1.0

import "../ApplicationModel.js" as App

import "../LandingPage"
import "../../components"
import "JourneyCalendarSubpage.js" as Logic

JourneyCalendar {
    id: list
    anchors.fill: parent
    visible: list.timeSlicesCount > 0 && parent.visible

    function reset() {
        if (journeyDetailsPage.cached) {
            journeyDetailsPage.cached.reset();
        }
    }

    function adjustSelectedItem() {
        if (journeyDetailsPage.cached) {
            var page = journeyDetailsPage.cached;

            if (page.statusStr === "Active") {
                list.setCurrentIndex(page.visibleIndex);
            }
        }
    }

    onLoadEarlier: {
        Logic.queryMore(parent.routePlanner, true, snapper);
    }

    onLoadLater: {
        Logic.queryMore(parent.routePlanner, false, snapper);
    }

    onClicked: {
        if (parent.routePlanner.statusStr === "Active") {
            clickTimer.start();
        }
    }

    PageCache {
        id: journeyDetailsPage
        uri: Qt.resolvedUrl("JourneyDetailsPage.qml")
    }

    Timer {
        id: clickTimer
        interval: 50
        onTriggered: {
            var planner = list.parent.routePlanner;
            var doConnect = !journeyDetailsPage.cached;
            var page = planner.pageStack.push(journeyDetailsPage);
            page.showDetails(planner.from, planner.to, planner.journeys.connections, list.selectedItemIndex);

            if (doConnect) {
                page.visibleIndexChanged.connect(list.adjustSelectedItem);
            }
        }
    }
}
