import QtQuick 1.0
import com.nokia.pt 1.0

import "../ApplicationModel.js" as App

Rectangle {
    id: root

    width: 40
    height: grid.height
    color: "red"
    opacity: 0.3

    Column {
        id: grid
        spacing: 10
        Image {
            source: "../../../images/ticketing/dialog-tap.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    Ticket.simulateTap("840dr5wg-58a8807ef9cb4c4c8af86a57a58a1052");
                }
            }
        }
        Image {
            source: "../../../images/ticketing/dialog-tap.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    Ticket.simulateTap("840dr5xz-ea00af4b40a349cc9c01339a7b6ec0c4");
                }
            }
        }
        Image {
            source: "../../../images/ticketing/dialog-tap.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    Ticket.simulateTap("840dr5xr-10f57b0f73264e89ab400cd2aa378b3d");
                }
            }
        }
        Image {
            source: "../../../images/ticketing/dialog-incomplete.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    Ticket.simulateTapFailed("", "");
                }
            }
        }
        // TAP EXPIRED
        Image {
            source: "../../../images/ticketing/dialog-missing.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    var ride = App.ticketing.getRide();
                    Ticket.simulateTapExpired();
                }
            }
        }
        // GET INSPECTED
        Image {
            source: "../../../images/ticketing/tap-waiting.png"
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    Ticket.simulateInspection(true);
                }
            }
        }
    }

    property variant taps: []
    Timer {
        interval: 5000
        running: true
        repeat: true
        onTriggered: {
            if (taps.length) {
                var _taps = taps;
                var tapId = _taps.shift();
                taps = _taps;
                Ticket.simulateTapRegistered(tapId);
            }
        }
    }
    Connections {
        target: Ticket
        onTapIn: { /* args: tapId, stationId, time, description */
            var _taps = taps;
            _taps.push(tapId);
            taps = _taps;
        }
        onTapOut: { /* args: tapId, stationId, time, description */
            var _taps = taps;
            _taps.push(tapId);
            taps = _taps;
        }
    }

}
