import QtQuick 1.0

import "../../qtcomponents"

Item {
    anchors.fill: parent

    property alias image: image.source
    property alias buttonText: button.text
    property alias text: text.text
    property alias title: title.text

    opacity: 0
    Behavior on opacity { NumberAnimation { duration: 250 } }

    signal click;

    Image {
        id: image
        anchors {
            top: parent.top
            topMargin: 12
            horizontalCenter: parent.horizontalCenter
        }
    }

    Text {
        id: title
        anchors {
            top: image.bottom
            left: parent.left
            right: parent.right
            topMargin: 12
            leftMargin: 16
            rightMargin: 16
        }
        font.pixelSize: 40
        color: "#282828"
        wrapMode: Text.Wrap
        horizontalAlignment: Text.AlignLeft
    }

    Text {
        id: text
        anchors {
            top: title.bottom
            topMargin: 12
            left: title.left
            right: title.right
        }
        wrapMode: Text.Wrap
        horizontalAlignment: Text.AlignLeft
    }

    Button {
        id: button
        anchors {
            bottom: parent.bottom
            bottomMargin: 40
            horizontalCenter: parent.horizontalCenter
        }
        width: 260
        onClicked: click();
    }
}
