import QtQuick 1.0

import "../../qtcomponents"
import "../ApplicationModel.js" as App

Page {

    property int pageNumber: 1

    tools: ToolBarLayout {
        visible: false
    }

    Flickable {
        anchors {
            fill: parent
        }
        contentWidth: width
        contentHeight: 560

        Sheet {
            id: sheet1
            image: "../../../images/ticketing/ticketing1.png"
            title: "Ready"
            text: "Your device is now set up for ticketing. You need to start this app for that and..."
            buttonText: "Continue tutorial 1/2"
            onClick: pageNumber++
        }
        Sheet {
            id: sheet2
            image: "../../../images/ticketing/ticketing2.png"
            title: "Tap in..."
            text: "...when entering the station. After tapping in, you will see and feel a quick confirmation."
            buttonText: "Continue tutorial 2/2"
            onClick: pageNumber++
        }
        Sheet {
            id: sheet3
            image: "../../../images/ticketing/ticketing2.png"
            title: "Don't forget..."
            text: "...to tap out at your final destination. (Remember you need to open this app for tapping out again.)"
            buttonText: "Completed"
            onClick: pageStack.pop(null);
        }

        states: [
            State {
                when: pageNumber === 1
                PropertyChanges { target: sheet1; opacity: 1 }
            },
            State {
                when: pageNumber === 2
                PropertyChanges { target: sheet2; opacity: 1 }
            },
            State {
                when: pageNumber === 3
                PropertyChanges { target: sheet3; opacity: 1 }
            }
        ]
     }
}
