import QtQuick 1.0

import "../../qtcomponents"
import "../FirstTimeUse"

Page {
    id: ticketingWelcomePage

    property int pageNumber: 1

    onStatusStrChanged: {
        if ("Activating" === statusStr) {
            app.analytics.logEvent("TicketingWelcome");
        }
    }

    Flickable {
        anchors {
            fill: parent
        }
        contentWidth: width
        contentHeight: app.inPortrait ? 580 : 480

        Item {
            id: page1
            visible: pageNumber === 1
            anchors.fill: parent
            anchors {
                top: parent.top
                left: parent.left
                topMargin: 16
                leftMargin: 16
                rightMargin: 12
            }
            Image {
                id: image1
                source: "../../../images/ticketing/ticketing2.png"
                anchors {
                    left: parent.left
                    leftMargin: -16
                }
            }

            Text {
                id: textHeader1

                anchors {
                    top: image1.bottom
                    left: image1.left
                    leftMargin: 12
                    topMargin: 10
                }

                text: "Welcome"
                font.pixelSize: 40
                color: "#282828"
            }

            Text {
                id: text1
                anchors {
                    top: textHeader1.bottom
                    topMargin: 5
                    left: textHeader1.left
                }

                text: "In a few easy steps, we'll activate ticketing on your phone and teach you everything you need to know to get riding." //TODO: localization
                width: 320
                wrapMode: Text.Wrap
            }

            Button {
                anchors {
                    horizontalCenter: app.inPortrait ? parent.horizontalCenter : text1.horizontalCenter
                    bottom: parent.bottom
                    bottomMargin: 50
                }

                width: 230
                text: "Setup"
                onClicked: pageStack.push(Qt.resolvedUrl("CheckingAccount.qml"))
            }
        }
    }
}
