import QtQuick 1.0

import "../ApplicationModel.js" as App

import com.nokia.pt 1.0

Item {
    id: currentPosition
    state: isSearching ? "searching" : (notAvailable ? "notavailable" : "valid")

    signal positionChanged
    signal reverseGeoCodeDone(variant address)

    property bool isSearching: true
    property bool notAvailable: true

    property string method: "noMethod"
    property double accuracy: 0

    function triggerGpsSearch() {
    }

    property QtObject location: PtLocation {
        latitude: 0.0
        longitude: 0.0
        source: "currentPosition"
        title: "Current Position*"
        description: "(No Qt Mobility available)"
    }

    function reverseGeoSearch() {
        if (App.queries.revGeoCode) {
            App.queries.revGeoCode.cancel();
            App.queries.revGeoCode.destroy();
            delete App.queries.revGeoCode;
        }

        console.log("GPSXXXX: Finished Position Search");

        var query = Search.reverseGeoCode(location.latitude, location.longitude);
        query.finished.connect(function(error, address) {
                                   console.log("GPSXXXX: Finished Position Search done", error);

                                   if (error === QueryResult.NoError) {
                                       location.setAddress(address);
                                       currentPosition.reverseGeoCodeDone(address);
                                   } else {
                                       // TODO retry
                                       App.app.displayMessage("error", error);
                                   }

                                   App.queries.revGeoCode.destroy();
                                   delete App.queries.revGeoCode;
                               });

         App.queries.revGeoCode = query;
    }

    PeriodicPositionSource {
        id: source
    }

    Component.onCompleted: {
        var coordinates = source.position(App.source.name);
        location.latitude = coordinates.latitude;
        location.longitude = coordinates.longitude;

        method = "fake";

        isSearching = true;
        initial.start();
    }

    // initial delay
    Timer {
        id: initial
        interval: 5000
        onTriggered: {
            isSearching = false;
            notAvailable = false;
            reverseGeoSearch();
            positionChanged();
        }
    }

    Timer {
        running: false
        repeat: true
        interval: 100
        onTriggered: { location.longitude = location.longitude + 0.00005; reverseGeoSearch(); positionChanged() }
        triggeredOnStart: true
    }
}
