import QtQuick 1.0

import "../ApplicationModel.js" as App

Item {
    function get(key) {
        var value;
        _open(function(db) {
            db.transaction(function(tx) {
                var rs = tx.executeSql('SELECT * FROM Storage WHERE key = ?', [key]);
                if (rs.rows.length > 0) {
                    value = rs.rows.item(0).value;
                }
            });
        });
        // this code works because the db is opend synchronous
        return value;
    }
    function set(key, value) {
        _open(function(db) {
            db.transaction(function(tx) {
                tx.executeSql('REPLACE INTO Storage VALUES(?, ?)', [key, value]);
            });
        });
    }
    function remove(key) {
        _open(function(db) {
            db.transaction(function(tx) {
               tx.executeSql('DELETE FROM Storage WHERE key = ?', [key]);
            });
        });
    }

    function _open(callback) {
        if (!App._storage) {
            App._storage = openDatabaseSync("PtVbbBackendDb", "1.0", "S", 1000000); // Fixed name of DB from first release
            App._storage.transaction(function(tx) {
//                tx.executeSql('DROP TABLE IF EXISTS Storage');
                tx.executeSql('CREATE TABLE IF NOT EXISTS Storage(key TEXT, value TEXT, PRIMARY KEY (key))');
                callback(App._storage);
            })
        } else {
            callback(App._storage);
        }
    }
    Component.onCompleted: {
        console.log("ServiceUpdates: cleanup obsolete data (please remove me on version 2.0).");
        remove("ServiceUpdatesLoadTime_1.0");
        remove("ServiceUpdates_1.0");
    }
}
