import QtQuick 1.0

Rectangle {
    id: listHeading
    property alias showShadow: shadow.visible
    property bool brightBackground: false
    property alias paddingItem: paddingItm


    color: brightBackground ? "#efefef" : "#000000"
    width: parent ? parent.width : 480
    height: 95
    z: 100

    Item {
        id: paddingItm
        anchors.fill: parent
        anchors.margins: 5
    }

    Rectangle {
        visible: !showShadow
        height: 1
        width: parent.width
        y: parent.height - 2
        color: "#afafaf"
    }

    Rectangle {
        height: 1
        width: parent.width
        y: parent.height - 1
        color: (showShadow) ? "#afafaf" : "#ffffff"
    }

    Rectangle {
        id: shadow
        height: 5
        width: parent.width
        y: parent.height

        gradient: Gradient {
            GradientStop {
                position: 0.00;
                color: "#55000000";
            }
            GradientStop {
                position: 0.40;
                color: "#22000000";
            }
            GradientStop {
                position: 1.00;
                color: "#00000000";
            }
        }
    }
}
