import QtQuick 1.0

import com.nokia.meego 1.0 as QtQuickComponents

QtQuickComponents.TextField {
    id: input

    signal cleared();

    property bool selected: false
    property bool noTyping: false
    property bool isTyping: false
    property bool brightBackground: false

    property real platformLeftMargin: 0
    property real platformRightMargin: 0

    property int extraMarginLeftWidth: 18

    QtObject {
        id: priv
        property real paddingRight
    }

    Component.onCompleted: {
        priv.paddingRight = input.style.paddingRight
        input.style.paddingRight = clearText.width + priv.paddingRight;
    }
//    onPlatformRightMarginChanged: { ... } // enable it if needed

    width: parent ? parent.width : 100

    Image {
        id: clearText

        anchors {
            verticalCenter: parent.verticalCenter
            right: parent.right;
            margins: 6
        }
        fillMode: Image.PreserveAspectFit
        smooth: true;
        visible: input.text
        enabled: visible
        source: "../../images/clearinput.png"
        height: parent.height - clearText.anchors.margins * 2
        width: parent.height - clearText.anchors.margins * 2

    }

    MouseArea {
        id: clear
        anchors.fill: clearText
        anchors.margins: -6
        z: 2
        enabled: clearText.visible
        onClicked: {
            var tmp = noTyping;
            noTyping = true;
            input.text = "";
            noTyping = tmp;
            cleared();
            input.forceActiveFocus();
        }
    }

}
